Package: org.gmetrics.metric.methodcount

## [Groovy] Class MethodCountMetric

- org.gmetrics.metric.methodcount.MethodCountMetric

- Metric for counting the number of methods within classes and interfaces.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricLevel` | `baseLevel`
    `String` | `name`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassMetricResult` | `calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMetric` | `applyToClass, applyToPackage, calculateForClass, calculateForPackage, createAggregateMetricResult, isNotAnInterface`

- - ### Property Detail

    - #### final MetricLevel baseLevel

    - #### final String name

  - ### Method Detail

    - #### protected ClassMetricResult calculateForClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)